/**
 * 客户档案业务处理类
 * ClientService.java
 * Copyright (C) 2010 SLMS
 * Simple Logistics Management System
 * 
 */
package com.zds.slms.service;

import java.util.List;

import com.zds.slms.dao.IClientDao;
import com.zds.slms.domain.Client;

/**
 * Copyright (C) 2010:SLMS<br/>
 * Project:SLMS<br/>
 * Module ID:<br/>
 * Comments:Simple Logistics Management System<br/>
 * JDK version used:JDK1.6<br/>
 * Package:com.zds.slms.service<br/>
 * Author:chenyongzheng<br/>
 * Create Date:2010-12-5<br/>
 * Modified By:<br/>
 * Modified Date:<br/>
 * Why & What is modified:<br/>
 * Version:0.1<br/>
 */
public class ClientService implements IClientService {
	// 客户档案持久化处理接口
	private IClientDao clientDao;

	/*
	 * 客户档案查询
	 * 
	 * @see
	 * com.zds.slms.service.IClientService#findClient(com.zds.slms.domain.Client
	 * )
	 */
	public List<Client> findClient(Client client) {
		return clientDao.findClient(client);
	}

	/*
	 * 客户档案保存
	 * 
	 * @see
	 * com.zds.slms.service.IClientService#saveClient(com.zds.slms.domain.Client
	 * )
	 */
	public void saveClient(Client client) {
		clientDao.saveClient(client);

	}

	/*
	 * 客户档案删除
	 * 
	 * @see com.zds.slms.service.IClientService#deleteClient(java.lang.String[])
	 */
	public void deleteClient(String[] clientId) {
		clientDao.deleteClient(clientId);

	}

	/*
	 * 客户档案更新
	 * 
	 * @see
	 * com.zds.slms.service.IClientService#updateClient(com.zds.slms.domain.
	 * Client)
	 */
	public void updateClient(Client client) {
		clientDao.updateClient(client);

	}

	/**
	 * @return the clientDao
	 */
	public IClientDao getClientDao() {
		return clientDao;
	}

	/**
	 * @param clientDao the clientDao to set
	 */
	public void setClientDao(IClientDao clientDao) {
		this.clientDao = clientDao;
	}



}
